কনটেন্টে যান

GPT Image 2 API · Edit

ইন্টিগ্রেট করুন

মডেল id openai/gpt-image-2/edit
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/openai/gpt-image-2/edit?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

এই অনুরোধ: ≈০.২২২$ ২২২ API ক্রেডিট এই পেজে চালান

API কী পান
OpenAI ছবি সম্পাদনা #gpt-image-2#openai#chatgpt-images-2

সর্বোচ্চ 16টি রেফারেন্স ছবি ও ঐচ্ছিক মাস্কসহ GPT Image 2 সম্পাদনা

OpenAI · ছবি

আপনার প্রথম ফলাফল এখানে আসবে

নিচে একটি রিকোয়েস্ট তৈরি করে আপনার API কী দিয়ে চালান। আউটপুট আমাদের স্টোরেজে কপি করা হয়, চিরকাল বা বিনামূল্যে ৭ দিন পর্যন্ত রাখা হয়।

একটি অনুরোধ তৈরি করুন

মডেল স্কিমা থেকে কন্ট্রোল তৈরি করা হয়। এগুলো পরিবর্তন করলে কোড ও মূল্য আপডেট হয়।

•আবশ্যক 88 / 32000

ছবি জেনারেট করতে ব্যবহৃত প্রম্পট।

•আবশ্যক image_urls
একটি ফাইল ড্রপ করুন, অথবা · 16 পর্যন্ত

জেনারেশনের জন্য রেফারেন্স ছবির URL, সর্বোচ্চ 16টি ছবি।

image_size ডিফল্ট auto

আউটপুটের মাত্রা; 'auto' সেট করা হলে সরবরাহ করা ছবিগুলো থেকে অনুমান করা হয়।

num_images ডিফল্ট 1

তৈরি করার ছবির সংখ্যা।

অ্যাডভান্সড mask · background · quality · output_format · enable_safety_checker
mask_url
একটি ফাইল ড্রপ করুন, অথবা

জেনারেশনের সময় সম্পাদনা করতে হবে এমন অঞ্চল শনাক্তকারী মাস্ক ছবির URL।

background ডিফল্ট auto

ফলাফল ছবির ব্যাকগ্রাউন্ড।

quality ডিফল্ট high

ছবির মান নির্বাচন; মডেলের মাধ্যমে প্রম্পট-নির্ভর সেরা মান নির্বাচন করতে 'auto' ব্যবহার করা যায়।

output_format ডিফল্ট png

আউটপুট ছবির ফাইল ফরম্যাট।

POST /run/openai/gpt-image-2/edit?wait=20 মূল্য → ০.২২২$
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/openai/gpt-image-2/edit?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

এই অনুরোধ চালান

আপনার key এই ব্রাউজারেই থাকে: এটি শুধু Doitong API-তে পাঠানো হয় এবং Remember টিক দিলে কেবল localStorage-এ সংরক্ষিত হয়। একটি API কী পান

GPT Image 2 API · Edit সম্পর্কে

সর্বোচ্চ 16টি URL থেকে `image_urls`-এ থাকা ছবি সম্পাদনা বা কম্পোজ করে, সর্বোচ্চ 32000 অক্ষরের প্রম্পটের নির্দেশনায়। `mask_url` সম্পাদনাকে একটি নির্দিষ্ট অঞ্চলে সীমাবদ্ধ করে। `image_size`-এর ডিফল্ট auto, যা ইনপুট থেকে আকার অনুমান করে। গুণমান auto থেকে high পর্যন্ত; png, jpeg বা webp-তে সর্বোচ্চ 4টি আউটপুট।

প্যারামিটার

ক্যানোনিকাল নাম অথবা নেটিভ নাম—দুটো একসঙ্গে নয়—পাঠান। ক্যানোনিকাল নামগুলো

নামধরন ডিফল্টঅনুমোদিত বিবরণ
promptআবশ্যক
ধরনstring
≤ ৩২,০০০টি অক্ষর≥ ২টি অক্ষর
ছবি জেনারেট করতে ব্যবহৃত প্রম্পট।
image_urlsআবশ্যক images
ধরনurl[] · image
≤ ১৬টি আইটেম
জেনারেশনের জন্য রেফারেন্স ছবির URL, সর্বোচ্চ 16টি ছবি।
image_sizeঐচ্ছিক
ধরনobject
ডিফল্টauto
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9auto
আউটপুটের মাত্রা; 'auto' সেট করা হলে সরবরাহ করা ছবিগুলো থেকে অনুমান করা হয়।
backgroundঐচ্ছিক
ধরনenum
ডিফল্টauto
autotransparentopaque
ফলাফল ছবির ব্যাকগ্রাউন্ড।
qualityঐচ্ছিক
ধরনenum
ডিফল্টhigh
autolowmediumhigh
ছবির মান নির্বাচন; মডেলের মাধ্যমে প্রম্পট-নির্ভর সেরা মান নির্বাচন করতে 'auto' ব্যবহার করা যায়।
num_imagesঐচ্ছিক num_outputs
ধরনinteger
ডিফল্ট1
১ – ৪
তৈরি করার ছবির সংখ্যা।
output_formatঐচ্ছিক
ধরনenum
ডিফল্টpng
jpegpngwebp
আউটপুট ছবির ফাইল ফরম্যাট।
enable_safety_checkerঐচ্ছিক
ধরনboolean
ডিফল্টtrue
কলকারী অনুমোদিত হলে false সেট করে স্ক্রিনিং শিথিল করা যায়।
mask_urlঐচ্ছিক mask
ধরনurl · image
জেনারেশনের সময় সম্পাদনা করতে হবে এমন অঞ্চল শনাক্তকারী মাস্ক ছবির URL।
আবশ্যক ক্যানোনিকাল নাম, এটিও গ্রহণযোগ্য

ফাইল প্যারামিটার হিসেবে একটি পাবলিক https:// URL, 10 MB পর্যন্ত একটি data: URI, অথবা আপলোডের file_url গ্রহণ করা হয়। ফাইল

আউটপুট

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "openai/gpt-image-2/edit",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 222,
    "usd": "0.222",
    "charged": 222,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_urls": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ]
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
আপনার ফাইল, আপনার পছন্দপ্রতিটি outputs[].url আমাদের স্টোরেজে একটি কপি: চিরকাল রাখা হয় (প্রতি GB-মাস অনুযায়ী অর্থপ্রদত্ত) অথবা অ্যাকাউন্ট সেটিংস বা ?storage= অনুযায়ী বিনামূল্যে ৭ দিন পর্যন্ত।
প্রতিটি মডেলে একই গঠনছবি, ভিডিও এবং অডিও—সব ক্ষেত্রেই type, url, content_type, width, height এবং duration। output হলো মডেলের নিজস্ব ফলাফল অবজেক্ট।
আউটপুটের ফিল্ড
images
array of object {url, content_type, file_name, file_size, width, height}মডেল দ্বারা তৈরি ছবি।

আরও মডেল: ছবি সম্পাদনা

AI এজেন্টদের জন্য: এই পৃষ্ঠাটি Markdown হিসেবে এখানে আছে https://doitong.com/bn/developers/models/openai/gpt-image-2/edit.md. সব মডেল ও গাইড: https://doitong.com/developers/llms.txt